Bug 466660 - Review Request: sympy - A Python library for symbolic mathematics
Review Request: sympy - A Python library for symbolic mathematics
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jon Ciesla
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-12 07:17 EDT by Conrad Meyer
Modified: 2008-11-07 16:38 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-15 19:28:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
limburgher: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Conrad Meyer 2008-10-12 07:17:41 EDT
Spec URL: http://konradm.fedorapeople.org/fedora/SPECS/sympy.spec
SRPM URL: http://konradm.fedorapeople.org/fedora/SRPMS/sympy-0.6.2-1.fc9.src.rpm
Description:
SymPy aims to become a full-featured computer algebra system (CAS)
while keeping the code as simple as possible in order to be
comprehensible and easily extensible. SymPy is written entirely in
Python and does not require any external libraries.
Comment 1 Conrad Meyer 2008-10-12 15:04:10 EDT
Builds in koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=875246
Comment 2 Jon Ciesla 2008-10-13 11:24:23 EDT
Starting full review. . . .
Comment 3 Jon Ciesla 2008-10-13 12:11:11 EDT
rpmlint on SRPM is clean

rpmlint on RPMs:

sympy.noarch: E: non-executable-script /usr/lib/python2.5/site-packages/sympy/utilities/compilef.py 0644
This text file contains a shebang or is located in a path dedicated for
executables, but lacks the executable bits and cannot thus be executed.  If
the file is meant to be an executable script, add the executable bits,
otherwise remove the shebang or move the file elsewhere.

sympy.noarch: E: non-executable-script /usr/lib/python2.5/site-packages/sympy/solvers/numeric.py 0644
This text file contains a shebang or is located in a path dedicated for
executables, but lacks the executable bits and cannot thus be executed.  If
the file is meant to be an executable script, add the executable bits,
otherwise remove the shebang or move the file elsewhere.

sympy.noarch: E: non-executable-script /usr/lib/python2.5/site-packages/sympy/mpmath/elliptic.py 0644
This text file contains a shebang or is located in a path dedicated for
executables, but lacks the executable bits and cannot thus be executed.  If
the file is meant to be an executable script, add the executable bits,
otherwise remove the shebang or move the file elsewhere.

sympy.noarch: E: non-executable-script /usr/lib/python2.5/site-packages/sympy/mpmath/tests/test_elliptic.py 0644
This text file contains a shebang or is located in a path dedicated for
executables, but lacks the executable bits and cannot thus be executed.  If
the file is meant to be an executable script, add the executable bits,
otherwise remove the shebang or move the file elsewhere.

Since these aren't meant to be executable, it would be good to patch out the shebangs and send the patch upstream.

Otherwise, full review looks great.
Comment 5 Jon Ciesla 2008-10-14 09:36:22 EDT
Alright, there we go.  Looks good.

APPROVED.
Comment 6 Conrad Meyer 2008-10-14 11:28:37 EDT
New Package CVS Request
=======================
Package Name: sympy
Short Description: A Python library for symbolic mathematics
Owners: konradm
Branches: F-9 F-10
InitialCC:
Comment 7 Huzaifa S. Sidhpurwala 2008-10-15 01:33:14 EDT
cvs done
Comment 8 Conrad Meyer 2008-10-15 19:28:31 EDT
Built in rawhide. Thanks for the review!
Comment 9 Susi Lehtola 2008-11-06 06:46:04 EST
Please add also branch for EPEL (at least 5), and build documentation into a -doc package.

HTML documentation builds fine, LaTeX doesn't seem to work.
Comment 10 Conrad Meyer 2008-11-06 11:57:13 EST
Package Change Request
======================
Package Name: sympy
New Branches: EL-5
Owners: konradm
Comment 11 Conrad Meyer 2008-11-06 19:18:35 EST
Wait, no, I don't want to maintain this for EPEL. You can take it if you like.
Comment 12 Susi Lehtola 2008-11-07 01:45:53 EST
Fine.

Package Change Request
======================
Package Name: sympy
New Branches: EL-5
Owners: jussilehtola
Comment 13 Kevin Fenzi 2008-11-07 16:38:46 EST
cvs done.

Note You need to log in before you can comment on or make changes to this bug.